#ifndef VIDEOSPATCH_H
#define VIDEOSPATCH_H

#include <QObject>

#include "models/patch/patch.h"

class VideosPatch : public Patch
{
    Q_OBJECT

public:
    VideosPatch(LotroDatManager* mgr, QObject* parent = nullptr);

private slots:
    virtual void checkForUpdates() override;
    virtual void download() override;
    virtual void install() override;
    virtual void activate() override;

private slots:
    void onDownloaderProgressChanged(Downloader* ptr, Downloader::Status status);
    void onDownloaderFinished(Downloader* ptr);

private:
    const QStringList databases_names = {
        "video"
    };
};

#endif // VIDEOSPATCH_H
